/***************************************************************************

	TITLE:		F3F.h
	
----------------------------------------------------------------------------

	FUNCTION:	Include file for F3f race handling

----------------------------------------------------------------------------

	MODULE STATUS:	Developmental

----------------------------------------------------------------------------

	GENEALOGY:	Written 28 december 2001

----------------------------------------------------------------------------

	DESIGNED BY:	OBOR
	
	CODED BY:	OBOR
	
	MAINTAINED BY:	OBOR

----------------------------------------------------------------------------*/

#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <time.h>
#include "inc\gl\glut.h"


void f3f_main_loop ();

#ifndef TRUE
 #define TRUE 1
#endif

#ifndef FALSE
 #define FALSE 0
#endif

#define PYLON_LEFT 1
#define PYLON_RIGHT 2

#define MAX_LAPS 10

#define UPDATE_SCORE sprintf ((char*) f3f_score, "- Lap: %d -- Lap time: %d.%d s -",base_count, (runcurrentstop - runlaststart)/1000, ((runcurrentstop - runlaststart)%1000)/10)
#define UPDATE_COMPLETE sprintf ((char*) f3f_score,"- Time: %d.%d s - Penalties: %d - Lost: %d m - Turns: %d.%d s", (runtime)/1000, (runtime%1000)/10, penality_count, lost_meters_abs, runturntime/1000, runturntime%1000/10)
#define UPDATE_PENALTY sprintf ((char*) f3f_penalty, "- Penalty: %d -", penality_count)
#define UPDATE_METERS sprintf ((char*) f3f_meters,"- Lost: %d m -", lost_meters_rel)
#define UPDATE_TURN sprintf ((char*) f3f_turntime,"- Turn: %d.%d s -", (runcurrentturn - runcurrentstop)/1000, ((runcurrentturn - runcurrentstop)%1000)/10)
#define UPDATE_RESULT sprintf ((char*) f3f_result,"-   %2.2d     %2.2d.%-2.2d %-3s    %2.2d.%-2.2d %-7s    %2.2d %-s -",i, itime/1000, (itime%1000)/10, "s", iturn/1000, (iturn%1000)/10, "s", ilost, "m");
#define UPDATE_TIME sprintf ((char*) f3f_time,"- Time: %d.%d s -",(runtime)/1000,((runtime)%1000)/10);
#define UPDATE_MODE sprintf ((char*) f3f_mode,"<%s>", f3f_mode);
#define UPDATE_START {\
	if (start_on_left == TRUE)\
		sprintf ((char*) f3f_score,">>> Start on the left pylon, still %d.%d s <<<", (MAX_START_TIME - runtime)/1000, abs((MAX_START_TIME - runtime)%1000)/10);\
	else \
		sprintf ((char*) f3f_score,">>> Start on the right pylon, still %d.%d s <<<", (MAX_START_TIME - runtime)/1000, abs((MAX_START_TIME - runtime)%1000)/10);\
	}

#define PLANLIMIT 164

#ifdef linux
	#define MAX_START_TIME  30
#endif

#ifdef WIN32
	#define SYSTIMETOINT(st)  (st.wMilliseconds + 1000*st.wSecond + 60000*st.wMinute + 3600000*st.wHour )// + 79800000*st.wDay)
	#define MAX_START_TIME  30000
#endif

void beep();
void beep2();
